﻿@model Kurumsal21.MvcWebUI.CartSummaryViewModel
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Your Cart</h2>
<table class="table">
    <tr>
        <td>Product Name</td>
        <td>Unit Price</td>
        <td>Units In Stock</td>
        <td>Quantity</td>
        <td></td>
    </tr>
    @foreach (var item in Model.Cart.Cartlines)
    {
        <tr>
            <td>@item.Product.ProductName</td>
            <td>@item.Product.UnitPrice</td>
            <td>@item.Product.UnitsInStock</td>
            <td>@item.Quantity</td>
            <td class="text-right"><a class="btn btn-xs btn-danger" asp-controller="Cart" asp-action="Remove" asp-route-productId="@item.Product.ProductId"><span class="glyphicon glyphicon-remove"></span> remove from cart</a></td>
        </tr>
    }
    <tr>
        <td></td>
        <td></td>
        <td></td>
        <td>
            <h3>Total</h3>
        </td>
        <td class="text-right">
            <h3>
                <strong>@Model.Cart.Total</strong>
            </h3>
        </td>
    </tr>
    <tr>
        <td> </td>
        <td> </td>
        <td> </td>
        <td>
            <a asp-controller="Product" asp-action="Index" class="btn btn-xs btn-default">
                <span class="glyphicon glyphicon-shopping-cart"></span> Continue Shopping
            </a>
        </td>
        <td class="text-right">
            <a asp-controller="Cart" asp-action="Complete" class="btn btn-xs btn-success">
                <span class="glyphicon glyphicon-shopping-play"></span> Go To Checkout
            </a>
        </td>
    </tr>
</table>